<template>
  <div class="whiteContent Content">
    <div class="heart">
      <LeftMenu @mChange="mChange"> </LeftMenu>
      <div class="right-content">
        <SubAccount v-if="activeIndex == 'subAccount'"></SubAccount>
        <BasicInfo v-if="activeIndex == 'baseInfo'" @gotolist="gotolist"></BasicInfo>
        <OrderMng v-if="activeIndex == 'order'"></OrderMng>
      </div>
    </div>
  </div>
</template>

<script>
import SubAccount from "./SubAccount"
import LeftMenu from "./LeftMenu"
import BasicInfo from "./BasicInfo"
import OrderMng from "./OrderMng"

export default {
  components: {
    SubAccount, //表格
    LeftMenu,
    BasicInfo,
    OrderMng
  },
  data() {
    return {
      map: null,
      AMap: null,
      activeIndex: "baseInfo",
      nodes: [],
      isShowCard: false,
      isFull: false, //是否全屏
      zoom: 4, //地图级别
      center: [116.06157, 39.66157], //地图中心
      activeNode: null, //选中的地图节点
      geocoder: {}
    }
  },

  methods: {
    //关闭设备详情弹层
    closeCard() {
      this.isShowCard = false
    },
    mChange(i) {
      this.activeIndex = i
    },
    gotolist() {
      this.mChange(4)
    }
  }
}
</script>

<style scoped lang="scss">
.whiteContent {
  position: relative;
  box-sizing: border-box;
  margin: 30px auto;
  display: flex;
  justify-content: center;

  .heart {
    display: flex;
  }

  .left-menu {
    margin-right: 24px;
  }
  .sub-account {
    height: 100%;
    box-sizing: border-box;
    background-color: #fff;
  }
  .right-content {
    min-height: 856px;
    box-sizing: border-box;
    background-color: #fff;
    width: 1036px;
  }
}
</style>
